Fetch CCXT positions
curl --request GET \
--url https://testnet.edel-api.xyz/v2/accounts/{accountId}/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://testnet.edel-api.xyz/v2/accounts/{accountId}/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testnet.edel-api.xyz/v2/accounts/{accountId}/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"symbol": "<string>",
"timestamp": 1,
"datetime": "<string>",
"side": "long",
"contracts": 1,
"entryPrice": 123,
"markPrice": 123,
"liquidationPrice": 123,
"realizedPnl": 123,
"info": {
"positionId": "<string>",
"accountId": "<string>",
"marketId": "<string>",
"side": "long",
"status": "open",
"openedAtEpochMs": 1,
"closedAtEpochMs": 1,
"maxQuantityAtoms": "<string>",
"maxQuantity": "<string>",
"currentQuantityAtoms": "<string>",
"currentQuantity": "<string>",
"avgEntryPriceAtoms": "<string>",
"avgEntryPrice": "<string>",
"avgExitPriceAtoms": "<string>",
"avgExitPrice": "<string>",
"realizedPnlAtoms": "<string>",
"realizedPnl": "<string>",
"feesPaidAtoms": "<string>",
"feesPaid": "<string>",
"fundingPaidAtoms": "<string>",
"fundingPaid": "<string>",
"closeReason": "user_close",
"lastSequence": 1,
"markPriceAtoms": "<string>",
"unrealizedPnlAtoms": "<string>",
"liquidationPriceAtoms": "<string>",
"marginHealthBps": "<string>",
"equityAtoms": "<string>",
"maintenanceRequirementAtoms": "<string>",
"marginStatus": "healthy",
"riskAsOfMarketDataSequence": 4503599627370495,
"liquidationTierConsistent": true
},
"unrealizedPnl": 123,
"maintenanceMargin": 1
}
]{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}{
"name": "AccountNotEnabled",
"message": "<string>",
"code": "invalid_request",
"retryable": true,
"timestamp": 1,
"datetime": "<string>",
"info": {
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}
}CCXT v2
Fetch CCXT positions
Returns the existing live position snapshot in CCXT unified position vocabulary, optionally filtered by comma-separated CCXT symbols.
Method and path: GET /v2/accounts//positions
Authentication: DFNS trader bearer required.
Request schema: none.
Response schema: CcxtV2PositionsResponse.
Error envelope: CcxtV2ErrorResponse (contains ExternalRestError external-rest-error/v1 as info).
GET
/
v2
/
accounts
/
{accountId}
/
positions
Fetch CCXT positions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Query Parameters
Optional comma-separated CCXT perpetual symbols.
Minimum string length:
1Response
Success
Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
long, short Required range:
x >= 0Show child attributes
Show child attributes
Required range:
x >= 0